## org.mariadb.jdbc
Class MySQLDataSource

    java.lang.Object
      org.mariadb.jdbc.MariaDbDataSource
          org.mariadb.jdbc.MySQLDataSource

All Implemented Interfaces:
  Wrapper, CommonDataSource, ConnectionPoolDataSource, DataSource, XADataSource

Deprecated. use class MariaDbDataSource directly

    public class MySQLDataSource

extends MariaDbDataSource

Keep the class name for compatibility

Constructor Summary
`MySQLDataSource()` Deprecated. Default constructor. hostname will be localhost, port 3306.
`MySQLDataSource(String url)` Deprecated.
`MySQLDataSource(String hostname, int port, String database)` Deprecated. Constructor.

Method Summary

Methods inherited from class org.mariadb.jdbc.MariaDbDataSource

`getConnection, getConnection, getDatabaseName, getLoginTimeout, getLogWriter, getParentLogger, getPooledConnection, getPooledConnection, getPort, getPortNumber, getServerName, getUrlParser, getUser, getUserName, getXAConnection, getXAConnection, isWrapperFor, setDatabaseName, setLoginTimeout, setLogWriter, setPassword, setPort, setPortNumber, setProperties, setServerName, setUrl, setURL, setUser, setUserName, unwrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MySQLDataSource

    public MySQLDataSource(String hostname,
                           int port,
                           String database)
                    throws SQLException

  Deprecated.
  Constructor.

  Parameters:
    `hostname` - hostname (ipv4, ipv6, dns name)
    `port` - server port
    `database` - database name
  Throws:
    `SQLException` - exception if connection failed

### MySQLDataSource

    public MySQLDataSource(String url)
                    throws SQLException

  Deprecated.
  Throws:
    `SQLException`

### MySQLDataSource

    public MySQLDataSource()

  Deprecated.
  Default constructor. hostname will be localhost, port 3306.

Copyright © 2017. All rights reserved.